<?xml version="1.0" encoding="UTF-8"?>
<root>
    <doclet-version-NOT-library-version>1.05</doclet-version-NOT-library-version>
    <class>
        <name>com.datetime.mc7.MC7DateTimeFormat</name>
        <shortname>MC7DateTimeFormat</shortname>
        <comment>Created by Saman on 3/31/2017 AD.</comment>
        <owner>process</owner>
        <method>
            <name>format2</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>date</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>parse2</name>
            <comment>Parse jalli date from String
date: date in string</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>date</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>Initialize2</name>
            <comment></comment>
            <returntype>void</returntype>
            <parameter>
                <name>pattern</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>parseGrg</name>
            <comment>Convert String Grg date to persiand date object
date: date String
pattern: pattern
Return type: @return:MC7DateTime object</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>date</name>
                <type>java.lang.String</type>
            </parameter>
            <parameter>
                <name>pattern</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>textNumberFilterStatic</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>date</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>format</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>date</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
            <parameter>
                <name>pattern</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>parse</name>
            <comment>Parse jalli date from String
date: date in string
pattern: pattern</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>date</name>
                <type>java.lang.String</type>
            </parameter>
            <parameter>
                <name>pattern</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
        <method>
            <name>Initialize</name>
            <comment></comment>
            <returntype>void</returntype>
        </method>
        <method>
            <name>parseGrg2</name>
            <comment>Convert String Grg date to persiand date object
date: date in String
Return type: @return:MC7DateTime object</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>date</name>
                <type>java.lang.String</type>
            </parameter>
        </method>
    </class>
    <class>
        <name>com.datetime.mc7.MC7DateTimeAgo</name>
        <shortname>MC7DateTimeAgo</shortname>
        <owner>process</owner>
        <method>
            <name>getTimeAgo</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>startDate</name>
                <type>java.util.Date</type>
            </parameter>
            <parameter>
                <name>asMONTHs</name>
                <type>java.lang.Boolean</type>
            </parameter>
        </method>
    </class>
    <class>
        <name>com.datetime.mc7.MC7DateTime</name>
        <shortname>MC7DateTime</shortname>
        <owner>process</owner>
        <method>
            <name>dayName</name>
            <comment>get day name</comment>
            <returntype>java.lang.String</returntype>
        </method>
        <method>
            <name>before</name>
            <comment>copare to data
dateInput: Input</comment>
            <returntype>java.lang.Boolean</returntype>
            <parameter>
                <name>dateInput</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>toGregorian</name>
            <comment>Convert Jalali date to Grg
year: Year in jalali
month: Month in Jalali
day: Day in Jalali
  int[year][month][day]</comment>
            <returntype>int[]</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>addMonth</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>Initialize</name>
            <comment></comment>
            <returntype>void</returntype>
        </method>
        <method>
            <name>untilToday</name>
            <comment>Calc difreent date until now</comment>
            <returntype>long[]</returntype>
        </method>
        <method>
            <name>addDay</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>isJalaliLeap</name>
            <comment>Check static is leap year for Jalali Date
year: </comment>
            <returntype>boolean</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>monthName2</name>
            <comment>Return month name
month: Month</comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>initGrgDate2</name>
            <comment>init with Grg data
year: Year in Grg
month: Month in Grg
day: day in Grg
hour: hour
minute: min
second: secon</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hour</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>minute</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>second</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>getDayInYear2</name>
            <comment>Calc day of the year
month: Month
day: Day</comment>
            <returntype>int</returntype>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>isLeap</name>
            <comment>Check year in Leap

  true or false</comment>
            <returntype>boolean</returntype>
        </method>
        <method>
            <name>startOfDay2</name>
            <comment>Get Start of day</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
        </method>
        <method>
            <name>CompareTo</name>
            <comment>compare 2 data
anotherDate: </comment>
            <returntype>int</returntype>
            <parameter>
                <name>anotherDate</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>BetweenTo</name>
            <comment></comment>
            <returntype>int</returntype>
            <parameter>
                <name>anotherDate</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>setGrgDay</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>grgDay</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>monthName</name>
            <comment>return month name</comment>
            <returntype>java.lang.String</returntype>
        </method>
        <method>
            <name>tomorrow</name>
            <comment>Get tomorrow</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
        </method>
        <method>
            <name>setHour</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>hour</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>setSecond</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>second</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>isGrgLeap</name>
            <comment>Check static is leap year for Grg Date
year: </comment>
            <returntype>boolean</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>getTimeOfTheDay2</name>
            <comment>Get time of the day</comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>mDateTime</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>untilToday2</name>
            <comment>calcute diffrent between 2 date
date: Date 1</comment>
            <returntype>long[]</returntype>
            <parameter>
                <name>date</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>getMonthDays2</name>
            <comment>calc count of day in month
Year: 
month: </comment>
            <returntype>int</returntype>
            <parameter>
                <name>Year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>initJalaliDate</name>
            <comment>initilize date from jallai date
year: Year in jallali date
month: Month in Jallali date
day: daye in Jalalli date</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>addWeek</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>week</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>isMidNight2</name>
            <comment>Check midnight
MC7DateTime: </comment>
            <returntype>java.lang.Boolean</returntype>
            <parameter>
                <name>mDateTime</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>getShortTimeOfTheDay2</name>
            <comment>Get short name time of the day</comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>mDateTime</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>setGrgYear</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>grgYear</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>initJalaliDate2</name>
            <comment>initilize date from jallai date
year: Year in jallali date
month: Month in Jallali date
day: daye in Jalalli date
hour: Hour
minute: Minute
second: Second</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hour</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>minute</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>second</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>isLeap2</name>
            <comment>Check custome year is leap
year: int year
  true or false</comment>
            <returntype>boolean</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>dayOfWeek2</name>
            <comment>cal day of the week
hshYear: 
hshMonth: 
hshDay: </comment>
            <returntype>int</returntype>
            <parameter>
                <name>hshYear</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hshMonth</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hshDay</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>startOfDay</name>
            <comment>Get start of day
MC7DateTime: </comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>mDateTime</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>setMinute</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>minute</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>dayOfWeek</name>
            <comment>calc day of week</comment>
            <returntype>int</returntype>
        </method>
        <method>
            <name>grgIsLeap</name>
            <comment>Check Grg year is leap
Year: </comment>
            <returntype>boolean</returntype>
            <parameter>
                <name>Year</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>today</name>
            <comment>Return today</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
        </method>
        <method>
            <name>setShYear</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>shYear</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>after</name>
            <comment>Compare 2 date
dateInput: MC7DateTime type</comment>
            <returntype>java.lang.Boolean</returntype>
            <parameter>
                <name>dateInput</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>endOfDay</name>
            <comment>Get end of day
MC7DateTime: </comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>mDateTime</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>isMidNight</name>
            <comment>Check is midNight</comment>
            <returntype>java.lang.Boolean</returntype>
        </method>
        <method>
            <name>initGrgDate</name>
            <comment>init without time
year: Yera in Grg
month: Month in Grg
day: Day in Grg</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>setGrgMonth</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>grgMonth</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>getDayuntilToday2</name>
            <comment>Return difreent just day in copare 2 date
date: date for compare</comment>
            <returntype>long</returntype>
            <parameter>
                <name>date</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>toDate</name>
            <comment>convert MC7DateTime class to date</comment>
            <returntype>java.util.Date</returntype>
        </method>
        <method>
            <name>toJalali</name>
            <comment>Convert Grg date to jalali date
year: year in Grg date
month: month in Grg date
day: day in Grg date
  a int[year][month][day] in jalali date</comment>
            <returntype>int[]</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>addDate</name>
            <comment>add to date
year: Number of Year you want add
month: Number of month you want add
day: Number of day you want add
hour: Number of hour you want add
minute: Number of minute you want add
second: Number of second you want add</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hour</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>minute</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>second</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>dayName2</name>
            <comment>Return day name
hshYear: Year
hshMonth: Month
hshDay: Day</comment>
            <returntype>java.lang.String</returntype>
            <parameter>
                <name>hshYear</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hshMonth</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>hshDay</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>addDate2</name>
            <comment>add to date
year: Number of Year you want add
month: Number of month you want add
day: Number of day you want add</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>month</name>
                <type>int</type>
            </parameter>
            <parameter>
                <name>day</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>addYear</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>year</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>Initialize3</name>
            <comment></comment>
            <returntype>void</returntype>
            <parameter>
                <name>date</name>
                <type>java.util.Date</type>
            </parameter>
        </method>
        <method>
            <name>endOfDay2</name>
            <comment>Get end of day</comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
        </method>
        <method>
            <name>Initialize2</name>
            <comment></comment>
            <returntype>void</returntype>
            <parameter>
                <name>timeInMiliSecond</name>
                <type>java.lang.Long</type>
            </parameter>
        </method>
        <method>
            <name>setShDay</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>shDay</name>
                <type>int</type>
            </parameter>
        </method>
        <method>
            <name>equals</name>
            <comment>Check date equals
dateInput: </comment>
            <returntype>java.lang.Boolean</returntype>
            <parameter>
                <name>dateInput</name>
                <type>com.datetime.mc7.MC7DateTime</type>
            </parameter>
        </method>
        <method>
            <name>toString</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
        </method>
        <method>
            <name>setShMonth</name>
            <comment></comment>
            <returntype>com.datetime.mc7.MC7DateTime</returntype>
            <parameter>
                <name>shMonth</name>
                <type>int</type>
            </parameter>
        </method>
        <property>
            <name>GrgYear</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>ShortTimeOfTheDay</name>
            <returntype>java.lang.String</returntype>
            <comment>Get short name time of the day</comment>
        </property>
        <property>
            <name>ShMonth</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>DayInYear</name>
            <returntype>int</returntype>
            <comment>calcute day in year</comment>
        </property>
        <property>
            <name>ShDay</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>Hour</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>MonthDays</name>
            <returntype>int</returntype>
            <comment>Number days of month

  return days</comment>
        </property>
        <property>
            <name>GrgMonth</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>Time</name>
            <returntype>java.lang.Long</returntype>
            <comment>return time in long value

  Value of time in mile</comment>
        </property>
        <property>
            <name>Minute</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>Second</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>ShYear</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <property>
            <name>TimeOfTheDay</name>
            <returntype>java.lang.String</returntype>
            <comment>Get time of the day</comment>
        </property>
        <property>
            <name>DayuntilToday</name>
            <returntype>long</returntype>
            <comment>Return Day in difreent date</comment>
        </property>
        <property>
            <name>GrgDay</name>
            <returntype>int</returntype>
            <comment></comment>
        </property>
        <field>
            <name>Month_KHORDAD</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_DAY</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_FARVARDIN</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_AZAR</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_TIR</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_ABAN</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>AM_NAME</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
        </field>
        <field>
            <name>AM</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_MORDAD</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_SHAHRIVAR</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_MEHR</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>PM_SHORT_NAME</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
        </field>
        <field>
            <name>AM_SHORT_NAME</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
        </field>
        <field>
            <name>Month_BAHMAN</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_ORDIBEHEST</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>Month_ESFAND</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
        <field>
            <name>PM_NAME</name>
            <comment></comment>
            <returntype>java.lang.String</returntype>
        </field>
        <field>
            <name>PM</name>
            <comment></comment>
            <returntype>int</returntype>
        </field>
    </class>
    <version>1.6</version>
    <author>M-CAP7AIN  ,  SM_SJ</author>
</root>
